List all Orders
Retrieve a list of orders.
- Production
- Sandbox
GET/v1/orders
curl -X GET 'https://api.minteo.finance/v1/orders' \-H 'Authorization: Bearer <your-api-key>'GET/v1/orders
curl -X GET 'https://api.sandbox.minteo.finance/v1/orders' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": [ { "id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "status": "PENDING", "amount": "50000", "type": "TOKENIZE", "created_at": "2023-11-04T01:35:34.165Z", "updated_at": "2023-11-04T01:35:34.165Z", "origin_source_id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "destination_source_id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "activities": [ { "type": "SETTLE_ORDER", "status": "PENDING", "last_update_at": "2023-11-04T01:35:34.162Z" } ], "status_code": null, "chain": "POLYGON", "public_data": { "financial_items": { "transfer_amount": "50000.00" }, "deposit_originated_at": "2023-11-13T00:00:00.000Z" }, "external_identifier": null, "effective_amount": "50000" } ], "code": "OK"}Endpoint
GET
/v1/ordersScope
orders:all
Request
Query Parameters
All these parameters are optional.
pageintegerThe number of the page to return.
pageSizeintegerThe number of the size of the page.
typeTOKENIZE | REDEEMThe type of orders.
statusPENDING | SUCCEEDED | SETTLED | BROADCAST | FAILEDThe status of the orders to retrieve
GET
/v1/orders?page=1&pageSize=30&type=TOKENIZE&status=SUCCEEDEDResponse
outputArray<Order>The list of orders.
codestringThe response status code text.